Method: userNotifications.markAsRead

Full name: projects.locations.instances.legacySoarUsers.userNotifications.markAsRead

Marks specified user notifications as read. This method allows users to clear notifications from their unread list once they have been acknowledged.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/userNotifications:markAsRead

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The user to mark Notifications as read. Format: projects/{project}/locations/{location}/instances/{instance}/legacySoarUsers/{legacySoarUser}

Request body

The request body contains data with the following structure:

JSON representation
{
  "ids": [
    string
  ]
}
Fields
ids[]

string (int64 format)

Required. The ids of the Notifications to mark as read.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.userNotifications.update

For more information, see the IAM documentation.